com.ihr.xbrl.om

## Interface XBRLValueKey

- All Known Implementing Classes:
    AutoFill, FlMessage, RenderHints, StaticRole, XBRLAncestorFilter, XBRLAndFilter, XBRLAspectCoverFilter, XBRLAspectNode, XBRLAssertion, XBRLBreakdown, XBRLClosedDefinitionNode, XBRLConceptBalanceFilter, XBRLConceptCustomAttributeFilter, XBRLConceptDataTypeFilter, XBRLConceptFilterAbstract, XBRLConceptNameFilter, XBRLConceptPeriodTypeFilter, XBRLConceptRelationFilter, XBRLConceptRelationshipNode, XBRLConceptSubstitutionGroupFilter, XBRLConsistencyAssertion, XBRLCustomFunction, XBRLCustomFunctionImplementation, XBRLDefinitionNode, XBRLDimensionFilterAbstract, XBRLDimensionRelationshipNode, XBRLExistenceAssertion, XBRLExplicitDimensionFilter, XBRLFormula, XBRLFormulaFilterBase, XBRLFormulaResource, XBRLGeneralFilter, XBRLGeneralMeasuresFilter, XBRLIdentifierFilter, XBRLItem, XBRLLabelResource, XBRLLocationFilter, XBRLMatchAbstractFilter, XBRLMatchConceptFilter, XBRLMatchDimensionFilter, XBRLMatchEntityIdentifierFilter, XBRLMatchLocationFilter, XBRLMatchNonXDTScenarioFilter, XBRLMatchNonXDTSegmentFilter, XBRLMatchPeriodFilter, XBRLMatchScenarioFilter, XBRLMatchSegmentFilter, XBRLMatchUnitFilter, XBRLOpenDefinitionNode, XBRLOrFilter, XBRLParentFilter, XBRLPeriodEndFilter, XBRLPeriodFilter, XBRLPeriodFilterAbstract, XBRLPeriodForeverFilter, XBRLPeriodInstantDurationFilter, XBRLPeriodInstantFilter, XBRLPeriodStartFilter, XBRLRegExpIdentifierFilter, XBRLRegExpSchemeFilter, XBRLRelationshipNode, XBRLRelativeFilter, XBRLResource, XBRLResultMessage, XBRLRuleNode, XBRLScenarioFilter, XBRLSegmentFilter, XBRLSiblingFilter, XBRLSingleMeasureFilter, XBRLSpecificIdentifierFilter, XBRLSpecificSchemeFilter, XBRLTable, XBRLTableResource, XBRLTuple, XBRLTypedDimensionFilter, XBRLValueAssertion, XBRLValueNilFilter, XBRLValuePrecisionFilter, XBRLVariableEqualityDefinition, XBRLVariableFact, XBRLVariableGeneral, XBRLVariableParameter, XBRLVariablePrecondition, XBRLVariableResource, XBRLVariableSetResource, XMLElementDefinition

      public interface XBRLValueKey

  Objects implementing this interface can generate a representation of a key for the object. Keys for concept definitions are the concept QName Keys for resources are the resource XPointer
  Author:
    Ignacio

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `net.sf.saxon.value.Value<?>` | `getValueKey()` Gets the value key.

- - ### Method Detail

    - #### getValueKey

          net.sf.saxon.value.Value<?> getValueKey()

      Gets the value key.
      Returns:
        the value key